## r-cran-iterators 1.0.5

=== DESCRIPTION ===
Package: iterators
Type: Package
Title: Iterator construct for R
Version: 1.0.5
Author: Revolution Analytics
Maintainer: Revolution Analytics <packages@revolutionanalytics.com>
Description: Support for iterators, which allow a programmer to
        traverse through all the elements of a vector, list, or other
        collection of data.
Depends: R (>= 2.5.0), utils
Suggests: foreach, RUnit
License: Apache License (== 2.0)
Repository: CRAN
Repository/R-Forge/Project: foreach
Repository/R-Forge/Revision: 15
Date/Publication: 2011-07-23 13:55:36
Packaged: 2011-07-08 21:01:43 UTC; rforge

## r-cran-iterators 1.0.6

=== DESCRIPTION ===
Package: iterators
Type: Package
Title: Iterator construct for R
Version: 1.0.6
Author: Revolution Analytics
Maintainer: Revolution Analytics <packages@revolutionanalytics.com>
Description: Support for iterators, which allow a programmer to
        traverse through all the elements of a vector, list, or other
        collection of data.
Depends: R (>= 2.5.0), utils
Suggests: foreach, RUnit
License: Apache License (== 2.0)
Repository: CRAN
Repository/R-Forge/Project: foreach
Repository/R-Forge/Revision: 21
Packaged: 2012-04-12 16:24:39 UTC; rforge
Date/Publication: 2012-04-16 06:09:54

## r-cran-iterators 1.0.8

=== DESCRIPTION ===
Package: iterators
Type: Package
Title: Provides Iterator Construct for R
Version: 1.0.8
Authors@R: c(person("Rich", "Calaway", role="cre", email="richcala@microsoft.com"),
             person("Revolution", "Analytics", role=c("aut", "cph")),
			 person("Steve", "Weston", role="aut"))
Description: Support for iterators, which allow a programmer to traverse
        through all the elements of a vector, list, or other collection
        of data.
Depends: R (>= 2.5.0), utils
Suggests: RUnit
License: Apache License (== 2.0)
Author: Rich Calaway [cre],
  Revolution Analytics [aut, cph],
  Steve Weston [aut]
Maintainer: Rich Calaway <richcala@microsoft.com>
Repository: CRAN
Repository/R-Forge/Project: foreach
Repository/R-Forge/Revision: 27
Repository/R-Forge/DateTimeStamp: 2015-10-12 01:37:31
Date/Publication: 2015-10-13 09:12:54
NeedsCompilation: no
Packaged: 2015-10-12 02:25:27 UTC; rforge

## r-cran-iterators 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: iterators
 Type: Package
 Title: Provides Iterator Construct for R
-Version: 1.0.8
+Version: 1.0.9
 Authors@R: c(person("Rich", "Calaway", role="cre", email="richcala@microsoft.com"),
              person("Revolution", "Analytics", role=c("aut", "cph")),
 			 person("Steve", "Weston", role="aut"))
@@ -17,8 +17,8 @@
 Maintainer: Rich Calaway <richcala@microsoft.com>
 Repository: CRAN
 Repository/R-Forge/Project: foreach
-Repository/R-Forge/Revision: 27
-Repository/R-Forge/DateTimeStamp: 2015-10-12 01:37:31
-Date/Publication: 2015-10-13 09:12:54
+Repository/R-Forge/Revision: 31
+Repository/R-Forge/DateTimeStamp: 2017-12-08 23:08:19
+Date/Publication: 2017-12-12 15:26:15 UTC
 NeedsCompilation: no
-Packaged: 2015-10-12 02:25:27 UTC; rforge
+Packaged: 2017-12-08 23:33:40 UTC; rforge

## r-cran-iterators 1.0.10

=== DESCRIPTION ===
Package: iterators
Type: Package
Title: Provides Iterator Construct for R
Version: 1.0.10
Authors@R: c(person("Rich", "Calaway", role="cre", email="richcala@microsoft.com"),
             person("Revolution", "Analytics", role=c("aut", "cph")),
			 person("Steve", "Weston", role="aut"))
Description: Support for iterators, which allow a programmer to traverse
        through all the elements of a vector, list, or other collection
        of data.
Depends: R (>= 2.5.0), utils
Suggests: RUnit, foreach
License: Apache License (== 2.0)
Author: Rich Calaway [cre],
  Revolution Analytics [aut, cph],
  Steve Weston [aut]
Maintainer: Rich Calaway <richcala@microsoft.com>
Repository: CRAN
Repository/R-Forge/Project: foreach
Repository/R-Forge/Revision: 34
Repository/R-Forge/DateTimeStamp: 2018-05-24 17:41:04
Date/Publication: 2018-07-13 15:20:03 UTC
NeedsCompilation: no
Packaged: 2018-05-24 17:55:14 UTC; rforge

=== debian/changelog ===
r-cran-iterators (1.0.10-1) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Jul 2018 16:15:54 -0500

r-cran-iterators (1.0.9-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 10:58:01 -0500

r-cran-iterators (1.0.9-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Dec 2017 14:17:04 -0600

r-cran-iterators (1.0.8-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Oct 2015 20:27:51 -0500

r-cran-iterators (1.0.7-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Apr 2014 06:59:03 -0500

r-cran-iterators (1.0.6-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 17:09:23 -0500

r-cran-iterators (1.0.6-1) unstable; urgency=low

  * New upstream release

  * debian/control: Correct typo			(Closes: #649296)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Apr 2012 08:33:21 -0500

r-cran-iterators (1.0.5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Jul 2011 09:51:15 -0500

r-cran-iterators (1.0.4-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 May 2011 14:26:05 -0500

r-cran-iterators (1.0.3-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 16:38:37 -0600

r-cran-iterators (1.0.3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Oct 2009 17:05:51 -0500

r-cran-iterators (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Jul 2009 13:44:35 -0500

r-cran-iterators (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Jun 2009 09:02:41 -0500

r-cran-iterators (1.0.0-1) unstable; urgency=low

  * Initial Debian package				(Closes: #534862)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 28 Jun 2009 13:00:51 -0500

=== debian/control ===
Source: r-cran-iterators
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/edd/r-cran-iterators
Vcs-Git: https://salsa.debian.org/edd/r-cran-iterators.git
Homepage: https://cran.r-project.org/package=iterators

Package: r-cran-iterators
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}
Description: GNU R iterator support for vectors, lists and other containers
 This package provides support for iterators, which allow a programmer to
 traverse through all the elements of a vector, list, or other collection 
 of data.

## r-cran-iterators 1.0.12

=== DESCRIPTION ===
Package: iterators
Type: Package
Title: Provides Iterator Construct
Version: 1.0.12
Authors@R: c(person("Hong", "Ooi", role="cre", email="hongooi@microsoft.com"),
             person("Revolution", "Analytics", role=c("aut", "cph")),
			 person("Steve", "Weston", role="aut"))
Description: Support for iterators, which allow a programmer to traverse
        through all the elements of a vector, list, or other collection
        of data.
Depends: R (>= 2.5.0), utils
Suggests: RUnit, foreach
License: Apache License (== 2.0)
NeedsCompilation: no
Packaged: 2019-07-26 18:07:06 UTC; richcala
Author: Hong Ooi [cre],
  Revolution Analytics [aut, cph],
  Steve Weston [aut]
Maintainer: Hong Ooi <hongooi@microsoft.com>
Repository: CRAN
Date/Publication: 2019-07-26 22:50:02 UTC

=== debian/changelog ===
r-cran-iterators (1.0.12-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Jul 2019 19:16:54 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.1), dh-r
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-iterators
 Vcs-Git: https://salsa.debian.org/edd/r-cran-iterators.git
 Homepage: https://cran.r-project.org/package=iterators

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/iterators_([-0-9\.]*)\.tar.gz

## r-cran-iterators 1.0.13

=== debian/changelog ===
r-cran-iterators (1.0.13-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Oct 2020 11:39:50 -0500

r-cran-iterators (1.0.12-2) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 21:39:06 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-iterators
 Vcs-Git: https://salsa.debian.org/edd/r-cran-iterators.git
 Homepage: https://cran.r-project.org/package=iterators

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-iterators package
# Copyright 2005 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-iterators 1.0.14

=== DESCRIPTION ===
Package: iterators
Type: Package
Title: Provides Iterator Construct
Version: 1.0.14
Authors@R: c(person("Folashade", "Daniel", role="cre", email="fdaniel@microsoft.com"),
             person("Revolution", "Analytics", role=c("aut", "cph")),
             person("Steve", "Weston", role="aut"))
Description: Support for iterators, which allow a programmer to traverse
    through all the elements of a vector, list, or other collection of data.
URL: https://github.com/RevolutionAnalytics/iterators
Depends: R (>= 2.5.0), utils
Suggests: RUnit, foreach
License: Apache License (== 2.0)
NeedsCompilation: no
Packaged: 2022-01-16 18:19:31 UTC; folashade
Author: Folashade Daniel [cre],
  Revolution Analytics [aut, cph],
  Steve Weston [aut]
Maintainer: Folashade Daniel <fdaniel@microsoft.com>
Repository: CRAN
Date/Publication: 2022-02-05 00:50:08 UTC

=== debian/changelog ===
r-cran-iterators (1.0.14-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Feb 2022 09:04:53 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-iterators
 Vcs-Git: https://salsa.debian.org/edd/r-cran-iterators.git
 Homepage: https://cran.r-project.org/package=iterators
